%define debug_package %{nil}
%global goipath         github.com/rclone/rclone

Name:		rclone
Version:	1.67.0
Release:	%mkrel 1
%gometa
Summary:	A cloud storage cloning tool
Group:		Networking/File transfer
License:	MIT
URL:		https://github.com/rclone/rclone
Source0:	https://github.com/rclone/rclone/archive/v%{version}/%{name}-%{version}.tar.gz
# Make this tar file by going into BUILD/rclone* and launch:
# export GO111MODULE=on
# go mod vendor 
# tar cvfz ../../SOURCES/rclone-%%{version}-vendor.tar.gz vendor/
# remove file from sha1.lst and re-issue mgarepo sync -d
Source1:	%{name}-%{version}-vendor.tar.gz
BuildRequires:  golang >= 1.17

%description
rclone is a "rsync for cloud storage" - Google Drive, Amazon Drive, S3,
Dropbox, Backblaze B2, One Drive, Swift, Hubic, Cloudfiles,
Google Cloud Storage, Yandex Files 
https://rclone.org

%prep
%goprep
mkdir -p src/github.com/rclone
ln -s $(pwd) src/github.com/rclone/%{name}
tar xfz %{SOURCE1}

%build
# If you have a build error here due to download of modules, then rebuild the vendor.tgz file as described above
export GOPATH=$(pwd)/_build:%{gopath}
go env -w GO111MODULE=off
go build -o bin/rclone

%install
install -D bin/%{name} ${RPM_BUILD_ROOT}/%{_bindir}/%{name}
install -D %{name}.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1/%{name}.1

%files
%doc COPYING README.md MANUAL.md MANUAL.html docs/content/*.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Sat Jun 15 2024 kekepower <kekepower> 1.67.0-1.mga10
+ Revision: 2074289
- Update to version 1.67.0

* Mon Mar 18 2024 kekepower <kekepower> 1.66.0-1.mga10
+ Revision: 2050458
- Update to version 1.66.0

* Thu Jan 25 2024 kekepower <kekepower> 1.65.2-1.mga10
+ Revision: 2034178
- Update to version 1.65.2

* Tue Jan 09 2024 kekepower <kekepower> 1.65.1-1.mga10
+ Revision: 2029074
- Update to version 1.65.1

* Mon Nov 27 2023 kekepower <kekepower> 1.65.0-1.mga10
+ Revision: 2010082
- Update to version 1.65.0

* Sat Oct 21 2023 kekepower <kekepower> 1.64.2-1.mga10
+ Revision: 1999924
- Update to version 1.64.2

* Sun Oct 01 2023 kekepower <kekepower> 1.64.0-1.mga10
+ Revision: 1992736
- Update to version 1.64.0

* Thu Mar 16 2023 kekepower <kekepower> 1.62.1-1.mga9
+ Revision: 1949380
- Update to version 1.62.1

* Mon Dec 26 2022 kekepower <kekepower> 1.61.1-1.mga9
+ Revision: 1926999
- Update to version 1.61.1

* Thu Dec 22 2022 kekepower <kekepower> 1.61.0-1.mga9
+ Revision: 1925703
- Update to version 1.61.0

* Tue Nov 22 2022 kekepower <kekepower> 1.60.1-1.mga9
+ Revision: 1910311
- Update to version 1.60.1

* Mon Nov 21 2022 bcornec <bcornec> 1.60.0-1.mga9
+ Revision: 1909882
- Update to rclone upstrem 1.60.0

* Wed Sep 07 2022 bcornec <bcornec> 1.59.0-1.mga9
+ Revision: 1884657
- New vendor file and better doc to make it
- Fedup with Go !
- Better fix for go build with static modules
- Avoid go modules download
- Update to upstream rclone 1.59.0
- Update to rclone 1.58.1 to fix 403 error issues

* Fri Mar 25 2022 umeabot <umeabot> 1.55.1-2.mga9
+ Revision: 1827056
- Mageia 9 Mass Rebuild

* Wed Dec 08 2021 bcornec <bcornec> 1.55.1-1.mga9
+ Revision: 1761098
- Update to upstream rclone-1.55.1 with vendor files provided

* Thu Apr 22 2021 joequant <joequant> 1.55.0-1.mga9
+ Revision: 1717890
- update to 1.55.0

* Mon Dec 07 2020 joequant <joequant> 1.53.3-1.mga8
+ Revision: 1654095
- update to 1.53.3 - fix 27665 / CVE-2020-28924

* Thu Nov 26 2020 joequant <joequant> 1.52.3-1.mga8
+ Revision: 1649440
- update 1.52.3 - fix #27665 - CVE-2020-28924

* Mon Jul 20 2020 joequant <joequant> 1.52.2-1.mga8
+ Revision: 1607420
- update to 1.52.2

* Mon Jul 20 2020 joequant <joequant> 1.52.1-1.mga8
+ Revision: 1607401
- update to 1.52.1

* Tue Feb 18 2020 umeabot <umeabot> 1.42-2.mga8
+ Revision: 1538894
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 bcornec <bcornec> 1.42-1.mga8
+ Revision: 1463255
- put rclone back into work
- Import rclone
- Created package structure for rclone.

